"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var logger_1 = __importDefault(require("../../../../common/logger"));
// Lookup the handler based on the description, or get the default handler
exports.setupStates = function (descriptor, config) {
    var promises = [];
    if (descriptor.states) {
        descriptor.states.forEach(function (state) {
            var handler = config.stateHandlers ? config.stateHandlers[state] : null;
            if (handler) {
                promises.push(handler());
            }
            else {
                logger_1.default.warn("No state handler found for \"" + state + "\", ignoring");
            }
        });
    }
    return Promise.all(promises);
};
//# sourceMappingURL=setupStates.js.map