"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mockery = __importStar(require("mockery"));
var chai = __importStar(require("chai"));
var MockNative = {
    generate_datetime_string: function () { return ''; },
    generate_regex_string: function () { return ''; },
};
mockery.registerMock('../../native/index.node', MockNative);
// eslint-disable-next-line import/first
var verifier_1 = require("./verifier");
var expect = chai.expect;
describe('V3 Verifier', function () {
    describe('invalid configuration', function () {
        it('returns an error when no provider name is given', function () {
            var result = new verifier_1.VerifierV3({
                logLevel: '',
                provider: '',
                providerBaseUrl: '',
            }).verifyProvider();
            return expect(result).to.eventually.be.rejectedWith(Error, 'Provider name is required');
        });
        it('returns an error when no pactBrokerUrl and an empty list of pactUrls is given', function () {
            var result = new verifier_1.VerifierV3({
                logLevel: '',
                provider: 'unitTest',
                providerBaseUrl: '',
                pactUrls: [],
            }).verifyProvider();
            return expect(result).to.eventually.be.rejectedWith(Error, 'Either a list of pactUrls or a pactBrokerUrl must be provided');
        });
        it('returns an error when no pactBrokerUrl an no pactUrls is given', function () {
            var result = new verifier_1.VerifierV3({
                logLevel: '',
                provider: 'unitTest',
                providerBaseUrl: '',
            }).verifyProvider();
            return expect(result).to.eventually.be.rejectedWith(Error, 'Either a list of pactUrls or a pactBrokerUrl must be provided');
        });
    });
});
//# sourceMappingURL=verifier.spec.js.map